  void init_timers();

// dec 10 000 is hex 0x2710
// dec 1 000 is hex 0x03E8
// 65536-10000=55536
// dec 55 536 is hex D8F0
// 65536-1000=64536
// dec 64536 is hex  FC18
// 65536-100=65436
// dec 65436 is hex  FF9C
// 65536-50000=15536
// dec 15536 is hex  3CB0
#define START_VAL_TMR0H 0x3C
#define START_VAL_TMR0L 0xB0


#define START_VAL_TMR1H 0xFE
#define START_VAL_TMR1L 0xFF

 int myCounter;
 int timer1Loops;

void main() {
  UART1_Init(9600);


                // setup portb to show the interrupts by blibking LEDs
  TRISB = 0x00;    // PORT is all output...to show the interrupts
  PORTB = 0;       // start with all outputs low

//Timer0 Registers Prescaler= 256 - TMR0 Preset = 0 - Freq = 183.11 Hz - Period = 0.005461 seconds
T0CON.T0CS = 0;  // bit 5  TMR0 Clock Source Select bit...0 = Internal Clock (CLKO) 1 = Transition on T0CKI pin
T0CON.T0SE = 0;  // bit 4 TMR0 Source Edge Select bit 0 = low/high 1 = high/low
T0CON.PSA = 0;   // bit 3  Prescaler Assignment bit...0 = Prescaler is assigned to the Timer0
T0CON.PSA =0b111;
TMR0L = 0;             // preset for timer register
TMR0H = 0;             // preset for timer register
      T0CON.T08BIT = 0; // 16 bit

//Timer1 Registers Prescaler= 8 - TMR1 Preset = 0 - Freq = 22.89 Hz - Period = 0.043691 seconds
T1CON.T1CKPS1 = 1;   // bits 5-4  Prescaler Rate Select bits
T1CON.T1CKPS0 = 1;   // bit 4
T1CON.T1OSCEN = 1;   // bit 3 Timer1 Oscillator Enable Control bit 1 = on
T1CON.T1SYNC = 1;    // bit 2 Timer1 External Clock Input Synchronization Control bit...1 = Do not synchronize external clock input
T1CON.TMR1CS = 0;    // bit 1 Timer1 Clock Source Select bit...0 = Internal clock (FOSC/4)
T1CON.TMR1ON = 1;    // bit 0 enables timer
TMR1H = 0;             // preset for timer1 MSB register
TMR1L = 0;             // preset for timer1 LSB register


// Interrupt Registers
  INTCON = 0;           // clear the interrpt control register
  INTCON.TMR0IE = 1;        // bit5 TMR0 Overflow Interrupt Enable bit...1 = Enables the TMR0 interrupt
  PIR1.TMR1IF = 0;            // clear timer1 interupt flag TMR1IF
  PIE1.TMR1IE  =   1;         // enable Timer1 interrupts
  INTCON.TMR0IF = 0;        // bit2 clear timer 0 interrupt flag
  INTCON.GIE = 1;           // bit7 global interrupt enable
  INTCON.PEIE = 1;          // bit6 Peripheral Interrupt Enable bit...1 = Enables all unmasked peripheral interrupts


  for (;;) {


        Delay_ms(100);
  }
}

// interrupt handler for the timer0 overflow
void interrupt(void) {
 // UART1_Write_Text("int\n");
  if(PIR1.TMR1IF==1)
  {
      UART1_Write_Text("TMR1IF\n\r");      // Interrupt rutine
      // Reset the timer count
      TMR1H=0;
      TMR1L=0;
       timer1Loops++;
      // Reset interrupt flag
      PIR1.TMR1IF = 0;
   //   return;
  }
  // http://www.enmcu.com/software/timer0calculatorandcodegeneration
  if(INTCON.TMR0IF==1)
  {
      UART1_Write_Text("TMR0IF\n\r");      // Interrupt rutine
      // Reset the timer count
      TMR0H=0;
      TMR0L=0;
        myCounter++;
      // Reset interrupt flag
      INTCON.TMR0IF = 0;
  ///    return;
  }

  // Do some work here
}

